﻿/*
 * Jumbula JbForm Style on Student Area
 * Copyright © 2015 - Author: Saeed Seyfi (saeedseyfi.com) at Jumbula
 */
.JbForm .JbSection {
    margin-bottom: 15px;
}

    .JbForm .JbSection:last-child {
        margin-bottom: 0;
    }

.JbForm h3 {
    border-bottom: 1px solid #acb7c0;
    padding-bottom: 15px;
    font-size: 24px;
}

.JbForm .form-group {
    width: 33.3333%;
    float: left;
    padding-right: 15px;
    position: relative;
    min-height: 61px;
}

.JbForm .JbSection > div {
    margin-right: -15px;
}

.JbForm .JbCheckBox,
.JbForm .JbParagraph,
.JbForm .JbTextArea,
.JbForm .JbAddress .address-line-1,
.JbForm .JbAddress .address-line-2,
.JbForm .JbAddress .country,
.JbForm .JbSignature {
    width: 100%;
}

.JbForm .form-group {
    margin-bottom: 15px;
}

.JbForm .form-control {
    display: block;
    width: 100%;
    height: 35px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.5em;
    color: #586c7c;
    background-color: #ffffff;
    background-image: none;
    border: 1px solid #cccccc;
    border-radius: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    -moz-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    -ms-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

.JbForm textarea.form-control {
    height: auto;
}

.JbForm .form-control:focus {
    border-color: #66afe9;
    outline: 0 !important;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, 0.6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, 0.6);
}

.JbForm .form-control::-moz-placeholder {
    color: #999999;
    opacity: 1;
}

.JbForm .form-control:-ms-input-placeholder {
    color: #999999;
}

.JbForm .form-control::-webkit-input-placeholder {
    color: #999999;
}

.JbForm .form-control[disabled],
.JbForm .form-control[readonly],
.JbForm fieldset[disabled] .form-control {
    background-color: #dddddd;
    opacity: 1;
}

.JbForm .form-control[disabled],
.JbForm fieldset[disabled] .form-control {
    cursor: not-allowed;
}

.JbForm .field-validation-error {
    position: absolute;
    right: 15px;
    top: 0;
    background-color: #e51400;
    padding: 0px 5px;
    color: #fff;
    font-size: 11px;
    line-height: 20px;
}

    .JbForm .field-validation-error:after {
        height: 7px;
        content: "";
        width: 7px;
        background-color: #e51400;
        position: absolute;
        bottom: -3px;
        right: 5px;
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        transform: rotate(45deg);
    }

.JbForm .form-control.input-validation-error {
    border-color: rgb(229, 20, 0);
}

    .JbForm .form-control.input-validation-error:focus {
        border-color: rgb(210, 22, 4);
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(210, 22, 4, 0.6);
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(210, 22, 4, 0.6);
    }

.JbForm .JbCheckBoxList, .JbForm .JbRadioList {
    display: block;
    width: 100%;
}

    .JbForm .JbRadioList div.radio, .JbForm .JbCheckBoxList div.checkbox {
        margin-right: 5px;
    }

.JbForm .JbCheckBox .field-validation-error {
    right: 0;
    top: 0;
    -webkit-transform: translateY(-100%);
    -moz-transform: translateY(-100%);
    -ms-transform: translateY(-100%);
    -o-transform: translateY(-100%);
    transform: translateY(-100%);
}

.JbForm .JbCheckBox .checkbox label {
    position: relative;
}

.JbForm .checkbox input[type="checkbox"].input-validation-error ~ .check {
    color: rgb(229, 20, 0);
}

.JbForm .JbSignature .field-validation-error {
    top: -28px;
    right: 0;
}

.JbForm .JbSignature .sign-container {
    border: 1px solid #CCCCCC;
    max-width: 100%;
    width: 300px;
    padding: 0;
    margin: 0;
    position: relative;
}

.JbForm .JbSignature .clear-signature {
    padding: 4px 12px;
}

@media (max-width: 767px) {
    .JbForm .form-group {
        width: 100%;
        padding-right: 0;
    }

    .JbForm .JbSection > div {
        margin-right: 0;
    }
}

/* * * * * * * * * * * * * * * * * * * Print Mode styles*/
@page {
    size: A4;
    margin: 0mm 5mm 5mm;
}

@media print {
    .JbForm .form-group {
        width: 49%;
        float: left;
        margin: .5%;
    }

        .JbForm .form-group.JbTextArea,
        .JbForm .form-group.JbSignature,
        .JbForm .form-group.JbParagraph {
            width: 100%;
        }
        .JbForm .form-group.JbParagraph{
            margin-top:10px;
            border-top: 1px dashed #eee;
            border-bottom: 1px dashed #eee;
        }

    .UscfId-button {
        display: none;
    }

    .form-group input {
        width: 100% !important;
    }
}
#jbForm .JbSignature .sign-container{
    width:100%;
}
#jbForm .JbSignature .sign-container canvas{
    width:100% !important;
    height:120px !important;
    max-height:120px !important;
}
.element_width-third{
    width:33.33% !important;
} 
.element_width-half{
    width:50% !important;
} 
.element_width-full{
    width:100% !important;
} 
@media (max-width:768px){
    .element_width-half,.element_width-third,.element_width-full{
        width:100% !important;
    } 
}
